hsql-1.8.2: Database access from Haskell.

Safe Haskell | Safe-Inferred

DB.HSQL.Type

Synopsis

- data SqlType
  - = SqlInteger
  - | SqlBigInt
  - | SqlSmallInt
  - | SqlTinyInt
  - | SqlMedInt
  - | SqlDecimal {
    - typeSize :: Int
    - typeDecimals :: Int
    }
  - | SqlNumeric {
    - typeSize :: Int
    - typeDecimals :: Int
    }
  - | SqlReal
  - | SqlDouble
  - | SqlFloat
  - | SqlMoney
  - | SqlChar {
    - typeSize :: Int
    }
  - | SqlVarChar {
    - typeSize :: Int
    }
  - | SqlLongVarChar {
    - typeSize :: Int
    }
  - | SqlText
  - | SqlWChar {
    - typeSize :: Int
    }
  - | SqlWVarChar {
    - typeSize :: Int
    }
  - | SqlWLongVarChar {
    - typeSize :: Int
    }
  - | SqlDate
  - | SqlTime
  - | SqlTimeTZ
  - | SqlAbsTime
  - | SqlRelTime
  - | SqlTimeInterval
  - | SqlAbsTimeInterval
  - | SqlTimeStamp
  - | SqlDateTime
  - | SqlDateTimeTZ
  - | SqlYear
  - | SqlBit
  - | SqlENUM
  - | SqlPoint
  - | SqlLSeg
  - | SqlPath
  - | SqlBox
  - | SqlPolygon
  - | SqlLine
  - | SqlCircle
  - | SqlINetAddr
  - | SqlCIDRAddr
  - | SqlMacAddr
  - | SqlBinary {
    - typeSize :: Int
    }
  - | SqlVarBinary {
    - typeSize :: Int
    }
  - | SqlLongVarBinary {
    - typeSize :: Int
    }
  - | SqlSET
  - | SqlBLOB
  - | SqlUnknown {
    - typeCode :: Int
    }

# Documentation

data SqlType Source

Variety of common data types used in databases.

Constructors

SqlInteger |
SqlBigInt |
SqlSmallInt |
SqlTinyInt |
SqlMedInt |
SqlDecimal |

Fields

typeSize :: Int
typeDecimals :: Int

SqlNumeric |

Fields

typeSize :: Int
typeDecimals :: Int

SqlReal |
SqlDouble |
SqlFloat |
SqlMoney |
SqlChar |

Fields

typeSize :: Int

SqlVarChar |

Fields

typeSize :: Int

SqlLongVarChar |

Fields

typeSize :: Int

SqlText |
SqlWChar |

Fields

typeSize :: Int

SqlWVarChar |

Fields

typeSize :: Int

SqlWLongVarChar |

Fields

typeSize :: Int

SqlDate |
SqlTime |
SqlTimeTZ |
SqlAbsTime |
SqlRelTime |
SqlTimeInterval |
SqlAbsTimeInterval |
SqlTimeStamp |
SqlDateTime |
SqlDateTimeTZ |
SqlYear |
SqlBit |
SqlENUM |
SqlPoint |
SqlLSeg |
SqlPath |
SqlBox |
SqlPolygon |
SqlLine |
SqlCircle |
SqlINetAddr |
SqlCIDRAddr |
SqlMacAddr |
SqlBinary |

Fields

typeSize :: Int

SqlVarBinary |

Fields

typeSize :: Int

SqlLongVarBinary |

Fields

typeSize :: Int

SqlSET |
SqlBLOB |
SqlUnknown | HSQL returns `SqlUnknown` for all columns for which it cannot determine the right type. The `backendTypeCode` here is the internal type code returned from the backend library

Fields

typeCode :: Int

Instances

Eq SqlType |
Ord SqlType |
Read SqlType |
Show SqlType |